#!/bin/sh

WIFI_LOADER=/usr/bin/wifi-loader

start()
{
	${WIFI_LOADER} start
}

stop()
{
	${WIFI_LOADER} stop
}

softap()
{
	${WIFI_LOADER} softap
}

p2p()
{
	${WIFI_LOADER} p2p
}

rftest()
{
	${WIFI_LOADER} rftest
}

ready()
{
	${WIFI_LOADER} ready
}

case $1 in
"start")
start
;;
"stop")
stop
;;
"softap")
softap
;;
"p2p")
p2p
;;
"rftest")
rftest
;;
"ready")
ready
;;
*)
echo wlan.sh [ready] [start] [stop] [softap] [p2p] [check_hw] [rftest]
exit 1
;;
esac
exit 0
